# optimbase_proj2bnds

Returns a projection point.

## Calling Sequence

                [opt, p] = optimbase_proj2bnds(opt, x)

## Argument

opt

  The object of TOPTIM type (tlist).

x

  A vector of doubles, the current point.

p

  A vector of doubles, the projected point.

## Description

The `optimbase_proj2bnds` function returns a point, which is the projection of the given point into the bounds.

## Example

        opt = optimbase_new ();
        opt = optimbase_configure(opt,"-numberofvariables",2);
        opt = optimbase_configure(opt,"-verbose",1);
        opt = optimbase_configure ( opt , "-boundsmin" , [-5.0 -5.0] );
        opt = optimbase_configure ( opt , "-boundsmax" , [5.0 5.0] );
        [ opt , p ] = optimbase_proj2bnds ( opt ,  [0.0 0.0] );
        disp(p)

        [ opt , p ] = optimbase_proj2bnds ( opt ,  [-6.0 6.0] );
        disp(p)

        opt = optimbase_destroy(opt);

## See Also

- optimbase_checkx0
- optimbase_checkbounds
- optimbase_hasbounds